

close all; clear all;  

load 'model'
totalScale = totalScale0; 

Folder = 'test';  % image input folder
Iname = dir([Folder '\*.jpg']);
nimage = size(Iname, 1);
for (img = 1 : nimage)  
  Sx1 = zeros(1, totalScale); Sy1 = zeros(1, totalScale); 
  sub1 = 2; Lrange1 = 3; 
  J0 =  imresize(double((imread([Folder '\' Iname(img).name]))), fold, 'nearest');
  for(i=1:totalScale)    
    J{i} = imresize(J0, .6+(i-1)*.1, 'nearest');  % scaled images
    [sx1, sy1] = size(J{i}); 
    Sx1(i) = sx1; Sy1(i) = sy1; % sizes of images
    tss1{i} = zeros(sx1+ax*2, sy1+ay*2);  % log-likelihood score map for testing images
    sym1{i} = zeros(sx1, sy1);
  end

allfiltered1 = applyfilterfft(J, allfilter); 
Ctransform(totalScale, norient, allfiltered1, Sx1, Sy1, Upperbound);
allmaxed = cell(totalScale, norient);
for (i = 1:totalScale)
    for (o = 1:norient)
        allmaxed{i, o} = allfiltered1{i, o} + 0.; 
    end
end
msci = zeros(1, totalScale); Fx = zeros(1, totalScale); Fy = zeros(1, totalScale); 
Cfind(1, 1, totalScale, norient, allfiltered1, allmaxed, h, ax, ay, Mi, Mx, My, Mm, Mm1, allsymbol(1, :), Lrange1, Orange, sub1, Totalsketch, Upperbound, tss1, sym1, Sx1, Sy1, msci, Fx, Fy);
maxscale = max(msci);   % most likely scale
for(i=1:totalScale)
  if(msci(i)==maxscale)
       Jshow = J{i}+sym1{i}*100.;  % overlaid sketch 
  end
end
outepsgif(Jshow, ['ex5c_WhorseTest' num2str(img)]);  % overlaid sketch 
clear J0 Sx1 Sy1 J allfiltered1 allmaxed tss1 sym1 Jshow msci Fx Fy
end

for (img = 1 : nimage)
    disp(['<IMG SRC="ex5c_WhorseTest' num2str(img) '.gif"height=100>']);
end
